23 Φεβ

WordPress: 5.1: Νέα βελτιωμένη έκδοση με νέα χαρακτηριστικά

Η νέα έκδοση WordPress 5.1 «Betty» κυκλοφόρησε στις 21 Φεβρουαρίου 2019. Η καινούργια έκδοση πήρε την ονομασία της από την αναγνωρισμένη τζαζ τραγουδίστρια Bettey Carter και είναι διαθέσιμη για λήψη μέσω του WordPress dashboard ή από την επίσημη ιστοσελίδα του WordPress.

Μετά την έκδοση WordPress 5.0 μια νέα σημαντική έκδοση που έφερε το block editor, η νέα έκδοση 5.1 επικεντρώνεται κυρίως στις οπτικές βελτιώσεις καθώς και στη συνολική απόδοση του επεξεργαστή. Η νέα έκδοση φέρνει μελλοντικές αλλαγές για ένα καλύτερο, ταχύτερο και ασφαλέστερο WordPress με βασικά εργαλεία για τους προγραμματιστές και τους διαχειριστές τους.

Site Health

To WordPress 5.1, πλέον θα εμφανίζει ειδοποιήσεις στους διαχειριστές των ιστότοπων που εκτελούν μη ενημερωμένη (outdated) έκδοση της PHP. Όταν εγκαθιστάτε νέα πρόσθετα (plugins) οι λειτουργίες του Site Health θα ελέγχουν από την έκδοση PHP που τρέχετε. Σε περίπτωση που το πρόσθετο απαιτεί άλλη έκδοση που δεν υπάρχει στον server, το WordPress θα σταματήσει άμεσα την εγκατάσταση του συγκεκριμένου πρόσθετου.

Editor Performance

Ο νέος block editor συνεχίζει να βελτιώνεται, καθώς στην νέα έκδοση WordPress 5.1 συμπεριλαμβάνει σημαντικές βελτιώσεις στην απόδοση του επεξεργαστή, κάτι που θα το καταλάβουν καλύτερα αυτοί που ασχολούνται περισσότερο με την σύνταξη άρθρων. Στις επόμενες κυκλοφορίες αναμένονται και νέας βελτιώσεις.

 Developer Hapiness

Η νέα έκδοση 5.1 προσθέτει ένα νέο πίνακα στη βάση δεδομένων για την αποθήκευση μεταδεδομένων που σχετίζονται με ιστότοπους και επιτρέπει την αποθήκευση δεδομένων ιστότοπου που είναι σχετικά σε περιβάλλον multisite / network.

Cron API

Το Cron API  έχει ενημερωθεί με νέες λειτουργίες για να βοηθήσει στην επιστροφή δεδομένων και περιλαμβάνει νέα φίλτρα για την τροποποίηση των δεδομένων που έχουν αποθηκευτεί στο cron. Άλλες αλλαγές στη συμπεριφορά επηρεάζουν το cron spawning σε διακομιστές που εκτελούν FastCGI και PHP-FPM σε εκδόσεις 7.0.16 και πάνω.

New JS Build Processes

Το WordPress 5.1 διαθέτει μια νέα επιλογή δημιουργίας JavaScript, ακολουθώντας τη μεγάλη αναδιοργάνωση του κώδικα που ξεκίνησε από την έκδοση 5.0.

 

Να σημειωθεί πως θα πρέπει να αναβαθμίσετε στην τελευταία έκδοση WordPress 5.1, καθώς εντοπίστηκε σοβαρό κενό ασφαλείας.

Περισσότερες πληροφορίες στο σχετικό άρθρο.